#
# spec file for package xob
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xob
Version:        0.3
Release:        bp154.1.19
Summary:        Overlay volume (or anything) bar for the X Window System
License:        GPL-3.0-only
URL:            https://github.com/florentc/xob
Source:         https://github.com/florentc/xob/archive/v%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrender)

%description
Overlay volume (or anything) bar for the X Window System

%prep
%setup -q

%build
%make_build

%install
%make_install prefix=%{_prefix}

%files
%license LICENSE
%doc README.md
%{_bindir}/xob
%{_prefix}%{_sysconfdir}/
%{_prefix}%{_sysconfdir}/xob/
%{_mandir}/man1/xob.1%{?ext_man}

%changelog
* Tue Jul 20 2021 Michael Vetter <mvetter@suse.com>
- Update to 0.3:
  Added:
  * Support for transparency: color specification can now contain a
    value for the alpha channel.
  * Automatic default sink index detection in the example pulseaudio
    watcher script. This should make the script work out of the box
    for most users.
  * Ready to use screen brightness watcher script in the README.
  * Quiet mode (-q).
  Changed:
  * xob now depends on libxrender for the new transparency feature
    (this can be optionally disabled when building xob).
  * Improved documentation of the named-pipe method.
  * The documentation encourages users to use dedicated input programs
    instead of the named-pipe method (now presented as a fallback method).
  Fixed:
  * Documentation used to advise to overwrite the content of named pipes
    which could lead to premature file endings. The documentation now
    recommends to append new values command >> named_pipe.
  * Issue in the pulseaudio watcher script where pulseaudio sink indexes
    were abusively used as indexes of the internal pulsectl library's
    data structures.
* Mon Aug 31 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.2:
  * This release introduces more precise timeout specification (mind the new
  * unit for `-t`) and an orientation option. This option makes it possible to
  * chose between a new vertical style or the classic horizontal style.
  - New vertical mode to display a bar that fills up from bottom to top.
  - New `orientation` option to choose between classic horizontal mode and new vertical mode.
  - More precise timeout specification (millisecond). Values below one second are now allowed.
  - Integers (`0` and `1`) not accepted as values for `rel` options in configuration file .
  - Typos in documentation.
* Tue Oct 22 2019 Michael Vetter <mvetter@suse.com>
- Install LICENSE and README.md files
- Use make macro
* Tue Oct  8 2019 mvetter@suse.com
- Initial package in version 0.1.1 for openSUSE
